Determines if the fiber has terminated

- « Fiber::isRunning

- Fiber::suspend »

- PHP Manual
- Fiber
- Determines if the fiber has terminated

# Fiber::isTerminated

(PHP 8 >= 8.1.0)

Fiber::isTerminated — Determines if the fiber has terminated

### Description

public Fiber::isTerminated(): bool

### Parameters

This function has no parameters.

### Return Values

Returns `true` only after the fiber has terminated, either by returning or throwing an exception; otherwise `false` is returned.